<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?><plugin id="com.metamatrix.metamodels.xmlservice" name="%pluginName" version="5.0.2"
        provider-name="%providerName"
        class="com.metamatrix.metamodels.xmlservice.XmlServiceMetamodelPlugin">

   <runtime>
      <library name="xmlservice_PATCH.jar">
         <export name="*"/>
      </library>
      <library name="xmlservice.jar">
         <export name="*"/>
      </library>
   </runtime>

   <requires>
      <import plugin="org.eclipse.core.runtime"/>
      <import plugin="org.eclipse.emf.ecore"/>
      <import plugin="org.eclipse.emf.edit"/>
      <import plugin="org.eclipse.emf.ecore.edit"/>
      <import plugin="com.metamatrix.core"/>
      <import plugin="org.eclipse.xsd"/>
      <import plugin="com.metamatrix.modeler.core"/>
      <import plugin="org.aspectj.runtime"/>
      <import plugin="com.metamatrix.core.aspectj"/>
   </requires>

   <!--
   	Each extension below represents a single metamodel.  Each metmodel is
   	registered using under the specified <uri> value which must be the same
   	eNS_URI value defined in the EPackage class for that metamodel.
   -->
   <extension id="xmlservice" name="%metamodelName"
              point="com.metamatrix.modeler.core.metamodel">
      <uri>
         http://www.metamatrix.com/metamodels/XmlService
      </uri>
      <alternateUri>
         mtkplugin:///com.metamatrix.metamodels.XmlService
      </alternateUri>
      <rootEntityClass name="com.metamatrix.metamodels.xmlservice.XmlOperation">
      </rootEntityClass>
      <properties createAsPhysical="true" requiresProxies="false" participatoryOnly="false"
                  createAsVirtual="true"
                  supportsDiagrams="true"
                  supportsExtension="true">
      </properties>
      <allowableModelType>
      	PHYSICAL
      </allowableModelType>
      <allowableModelType>
      	VIRTUAL
      </allowableModelType>
      <packageClass name="com.metamatrix.metamodels.xmlservice.XmlServicePackage">
      </packageClass>
      <adapterClass name="com.metamatrix.metamodels.xmlservice.provider.XmlServiceItemProviderAdapterFactory">
      </adapterClass>
   </extension>
   <extension point="org.eclipse.emf.ecore.generated_package">
      <package uri="http://www.metamatrix.com/metamodels/XmlService"
               class="com.metamatrix.metamodels.xmlservice.XmlServicePackage">
      </package>
   </extension>


   <!-- MetamodelAspect extensions -->
   <extension id="xmlserviceSqlAspect" point="com.metamatrix.modeler.core.sqlAspect">
      <metamodelExtensionID>
         xmlservice
      </metamodelExtensionID>
      <factoryClass name="com.metamatrix.metamodels.xmlservice.aspects.sql.XmlServiceSqlAspectFactoryImpl">
      </factoryClass>
   </extension>
   <extension id="xmlserviceUmlAspect" point="com.metamatrix.modeler.core.umlDiagramAspect">
      <metamodelExtensionID>
         xmlservice
      </metamodelExtensionID>
      <factoryClass name="com.metamatrix.metamodels.xmlservice.aspects.uml.XmlServiceUmlAspectFactoryImpl">
      </factoryClass>
   </extension>
   <extension id="xmlserviceValidationAspect"
              point="com.metamatrix.modeler.core.validationAspect">
      <metamodelExtensionID>
         xmlservice
      </metamodelExtensionID>
      <factoryClass name="com.metamatrix.metamodels.xmlservice.aspects.validation.XmlServiceValidationAspectFactoryImpl">
      </factoryClass>
   </extension>

</plugin>